Subject: Re: [PATCH 1/1] network memory allocator.

From: Rick Jones <[email-masked]>
Date: Mon, 14 Aug 2006 10:46:17 -0700

> Benchmarks with trivial epoll based web server showed noticeble (more
> than 40%) imrovements of the request rates (1600-1800 requests per
> second vs. more than 2300 ones). It can be described by more
> cache-friendly freeing algorithm, by tighter objects packing and thus
> reduced cache line ping-pongs, reduced lookups into higher-layer caches
> and so on.

Is that an hypothesis, or did you get a chance to gather cache stats 
with something like http://www.hp.com/go/Caliper or the like on the 
platform(s) you were testing?

rick jones